%define	name	pptp-adsl
%define	version	1.0.2
%define	release	14mdk

Summary:	PPTP-linux VPN client (Alcatel ADSL Modem)
Name:		pptp-adsl
Version:	1.0.2
Release:	%{release}
License:	GPL
Group:		Networking/Other

Source:		pptp-alcatel.tar.bz2
Patch:		pptp-adsl-inet_aton.patch.bz2

URL:		http://www.pdos.lcs.mit.edu/~cananian/Projects/PPTP/
Requires:	ppp
Buildroot:	%_tmppath/%name-%version-%release-root
Obsoletes:	pptp-adsl-fr
Provides:	pptp-adsl-fr

%description
PPTP-linux allows you to connect to a PPTP server from a Linux or other
Unix box (ports of pptp-linuxto other Unix variants should be trivial,
but have not yet been performed). See the IPfwd page
(http://www.pdos.lcs.mit.edu/~cananian/Projects/IPfwd) for information
on tunnelling PPTP through Linux firewalls.

Included support for Alcatel ADSL Modem

%prep

%setup -q -n pptp

%patch -p1

%build
%make CFLAGS="$RPM_OPT_FLAGS -Wall -O9 '-DLINUX_PPTP_VERSION=\"%{version}\"' '-DPPPD_BINARY=\"%{_sbindir}/pppd\"'" all

%install
rm -fr %buildroot

install -m 755 pptp -D $RPM_BUILD_ROOT%{_bindir}/pptp
install -m 755 server/pptp_server -D $RPM_BUILD_ROOT%{_bindir}/pptp_server
#install -m 755 pptp_callmgr $RPM_BUILD_ROOT/usr/bin

%clean
rm -fr %buildroot

%files
%defattr (0644,root,root,755)
%doc AUTHORS COPYING INSTALL NEWS README TODO USING Documentation/
%doc README.alcatel README2 ADSL.html Reference/ VERSION
%doc reconnect.sh
%defattr (-,root,root)
%{_bindir}/*

%changelog
* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-14mdk
- rebuild

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.2-13mdk
- rebuild
- compile with $RPM_OPT_FLAGS
- cosmetics

* Wed Jul 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-12mdk
- removed conflicts pptp-client

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-11mdk
- Clean after build

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-10mdk
- fix permissions

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-9mdk
- rename pptp-adsl-fr to pptp-adsl since it's not only for France.
- obsoletes pptp-adsl-fr

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-8mdk
- rebuild

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-7mdk
- patch to make it works with gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-6mdk 
- BM

* Tue Apr 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-5mdk
- add a reconnection script to include in crontab

* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-4mdk
- fix doc

* Thu Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- clean specfile
- fix group
- fix the docs

* Fri Jan 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- just change the name

* Thu Jan 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix buildroot
- add conflicts tag

* Fri Dec 31 1999 Philippe Libat <philippe@mandrakesoft.com>
- alcatel version

* Tue Oct 11 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations
